Bug 338271 - system-install-packages always fails the first time
system-install-packages always fails the first time
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 12:12 EDT by Bill Nottingham
Modified: 2014-03-16 23:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 06:44:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-18 12:12:45 EDT
Description of problem:

In firefox, find a link to an rpm. Click to download it, and choose 'Open With
Software Installer'.

The first time in any firefox run that you try this, it will fail silently.
Subsequent runs will work.

Version-Release number of selected component (if applicable):

pirut-1.3.23-1.fc8
firefox-2.0.0.6-11.fc8.foo
Comment 1 Jeremy Katz 2007-10-22 15:17:19 EDT
Firefox isn't properly exec'ing system-install-packages the first time.

The exec line in the desktop file is
  /usr/bin/getproxy /usr/bin/system-install-packages %F
But firefox is just running
  /usr/bin/getproxy %F
Comment 2 Matěj Cepl 2007-11-29 06:44:44 EST
Already fixed in pirut-1.3.27-1.fc9.noarch

Note You need to log in before you can comment on or make changes to this bug.